#!/bin/bash
set -x

cd ~/.config/

if [ ! -d "hypr" ]; then
    git clone git@git.nickr.eu:ArchConfig/hypr
else
    cd hypr
    git pull
    cd ..
fi

if [ ! -d "waybar" ]; then
    git clone git@git.nickr.eu:ArchConfig/waybar
else
    cd hypr
    git pull
    cd ..
fi

if [ ! -d "nvim" ]; then
    git clone git@git.nickr.eu:yannickreiss/nvim
else
    cd nvim
    git pull
    cd ..
fi

if [ ! -d "wofi" ]; then
    git clone git@git.nickr.eu:ArchConfig/wofi
else
    cd wofi
    git pull
    cd ..
fi

if [ ! -d "kitty" ]; then
    git clone git@git.nickr.eu:ArchConfig/kitty
else
    cd kitty
    git pull
    cd ..
fi

if [ ! -d "evolution" ]; then
    git clone git@git.nickr.eu:ArchConfig/evolution
else
    cd evolution
    git pull
    cd ..
fi
